package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BusJcxc;
import java.util.List;
/**
* 基础数据-交叉线岔
* @author zcf
* @date 2021/10/26
*/
public interface IBusJcxcService{

    /**
    * 新增
    */
    int create(BusJcxc busJcxc);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BusJcxc busJcxc);

    /**
    * 获取单个
    */
    BusJcxc getInfo(String id);

    /**
    * 查询列表
    */
    List<BusJcxc> getList(BusJcxc busJcxc);

}
